Package csb :: Package bio :: Package io :: Module wwpdb :: Class FastResidueMapper

[frames] | no frames]

# Class FastResidueMapper

source code

               object --+
                        |
    AbstractResidueMapper --+
                            |
                           FastResidueMapper

RegExp-based residue mapper. Fails on heavily malformed input (i.e. it cannot insert gaps in the `reference`), but it is very fast (linear) and memory efficient.

Nested Classes
Inherited from `AbstractResidueMapper`: `__metaclass__`

Instance Methods

__init__(self) x.__init__(...) initializes x; see help(type(x)) for signature | source code

SparseChainSequence

map(self, sparse, reference) Map `sparse`'s residues to `reference`. | source code

Inherited from `AbstractResidueMapper`: `create_gap` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| CODEC = ``'``utf-8``'``
| DELIMITER = ``u'``).*?(``'``
| FORBIDDEN_CHARS = ``set([``'``(``'``,` `'``)``'``,` `'``*``'``,` `'``-``'``,` `'``.``'``,` `'``?``'``,` `'``^``'``])``
| MAX_FRAGMENTS = `20`
| MIN_UNICODE_CHAR = `300`
| PATTERN = ``u'``^.*?({0}).*?$``'``
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### map(self, sparse, reference)

source code

Map `sparse`'s residues to `reference`. Return all `sparse` residues, aligned over `reference`, with artificial gap residues inserted at relevant positions. The resulting sequence of sparse residues will always have the same length as the `reference` sequence.

Parameters:
  - `sparse` - sparse sequence (e.g. derived from ATOMS records)
  - `reference` - reference, complete sequence (e.g. derived from SEQRES records)
Returns: SparseChainSequence
  all `sparse` residues, optimally aligned over `reference` (with gaps)
Raises:
  - `ResidueMappingError` - if the specified sequences are not alignable
Overrides: AbstractResidueMapper.map
  (inherited documentation)